> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Validate the latest template version for installation

PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/template_installations/{template_id}/validated

This action validates the latest version of a template for installation in the environment.

Reference: https://contentful.com/developers/docs/references/content-management-api/content-model-templates/validate-the-latest-template-version-for-installation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — The ID of the space. Alphanumerical.
- `environment_id` (string, required) — The ID of the environment.
- `template_id` (string, required) — The ID of the template. Alphanumerical.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "sys": {
    "environment": {
      "id": "master",
      "linkType": "Environment",
      "sys": "",
      "type": "Link"
    },
    "items": [
      {
        "details": {
          "contentTypeId": "my-content-type"
        },
        "message": "conflictingContentTypes"
      }
    ],
    "space": {
      "id": "hx6fedvayan0",
      "linkType": "Space",
      "sys": "",
      "type": "Link"
    },
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const environmentTemplate = await client.environmentTemplate.validate({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  environmentTemplateId: '<environment_template_id>',
}, {});
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```